﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Syncfusion.Windows.Controls.Grid;
using System.Collections.Specialized;
using Syncfusion.Windows.Controls.Cells;
using Syncfusion.Windows.Shared;
using System.Collections;
using System.Text.RegularExpressions;
using Syncfusion.Windows.Tools.Controls;
using System.ComponentModel;
using System.Xml.Serialization;
using Syncfusion.Windows.Styles;
using System.Xml;

namespace Dropdownlist
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public static XmlSerializer serializer;
        public static Type type;
        public MainWindow()
        {
            InitializeComponent();
            grid.Model.RowCount = 50;
            grid.Model.ColumnCount = 20;
            grid.Model.CellModels.Add("CustomCellType", new CustomGridCellModel());
            grid.Model.QueryCellInfo += new GridQueryCellInfoEventHandler(Model_QueryCellInfo);
            grid.Model.RowHeights.SetRange(1,49,25);
            grid.Model.ColumnWidths[1] = 130;
        }

        void Model_QueryCellInfo(object sender, GridQueryCellInfoEventArgs e)
        {
            if (e.Cell.RowIndex == 0 && e.Cell.ColumnIndex == 0)
                return;
            else if (e.Cell.RowIndex == 0)
                e.Style.CellValue = e.Cell.ColumnIndex;
            else if (e.Cell.ColumnIndex == 0)
                e.Style.CellValue = e.Cell.RowIndex;
            else if(e.Cell.ColumnIndex == 1)
            {
                e.Style.CellType = "CustomCellType";
                if (string.IsNullOrEmpty(e.Style.CellValue.ToString()))
                    e.Style.CellValue = string.Format("Row{0}, Col{1}", e.Style.RowIndex, e.Style.ColumnIndex);
                e.Style.CellEditTemplateKey = "CustomTemplate";
            }
        }
    }
}
